/*******************************************************************************
Copyright © 2023 Sebastian Roith <https://www.roith-unterrichtet.de>

Licensed under CC BY 4.0. To view a copy of this license, visit http://creativecommons.org/licenses/by/4.0/
*******************************************************************************/

window.CODINGTASK = {
	"heading": "Auftrag",
	"html": "<p>Objekte der Klasse <code>GUTSCHEIN</code> enthalten Informationen über Gutscheine, mit denen man ab einem Mindesteinkaufwert (Attribut <code>mindesteinkauf</code>) einen festen Rabatt (Attribut <code>rabatt</code>) bekommt, wenn man beim Bestellen einen Rabattcode (Attribut <code>code</code>) eingibt.</p><p>Ergänze in der Klassendefinition den Konstruktor, sodass man für alle drei Attribute die Werte dem Konstruktor übergeben kann: Ein neues Objekt soll beispielsweise mit <code>new GUTSCHEIN(4.99, 25.00, \"versandkostenfrei\")</code> erzeugt werden können, wenn man mit dem Rabattcode <code>versandkostenfrei</code> ab einem Bestellwert von 25 € einen Rabatt von 4,99 € erhält.</p><p>Programmiere auch die innere Sequenz des Konstruktors so, dass die Werte in der Reihenfolge der Parameter direkt zugewiesen werden.</p>",
	"code": "class GUTSCHEIN {\n    float rabatt;\n    float mindesteinkauf;\n    String code;\n    \n    // Konstruktor ergänzen!\n}",
	"canReset": true,
	"labelSubmit": "📥 Klassendefinition überprüfen",
	"checkType": "json",
	"checkData": [
		{
			"part": "class",
			"name": "GUTSCHEIN",
			"extends": "Object",
			"implements": [],
			"abstract": false,
			"final": false,
			"static": false,
			"content": [
				{
					"part": "attribute",
					"name": "rabatt",
					"type": "float",
					"dimensions": 0,
					"static": false
				},
				{
					"part": "attribute",
					"name": "mindesteinkauf",
					"type": "float",
					"dimensions": 0,
					"static": false
				},
				{
					"part": "attribute",
					"name": "code",
					"type": "String",
					"dimensions": 0,
					"static": false
				},
				{
					"part": "constructor",
					"dimensions": 0,
					"static": false,
					"abstract": false,
					"params": [
						{
							"part": "variable",
							"type": "float",
							"dimensions": 0
						},
						{
							"part": "variable",
							"type": "float",
							"dimensions": 0
						},
						{
							"part": "variable",
							"type": "String",
							"dimensions": 0
						}
					],
					"content": [
						"@this.rabatt=@1;this.mindesteinkauf=@2;this.code=@3;",
						"@this.rabatt=@1;this.mindesteinkauf=@2;code=@3;",
						"@this.rabatt=@1;mindesteinkauf=@2;this.code=@3;",
						"@this.rabatt=@1;mindesteinkauf=@2;code=@3;",
						"@rabatt=@1;this.mindesteinkauf=@2;this.code=@3;",
						"@rabatt=@1;this.mindesteinkauf=@2;code=@3;",
						"@rabatt=@1;this.mindesteinkauf=@2;code=@3;",
						"@rabatt=@1;mindesteinkauf=@2;code=@3;"
					]
				}
			]
		}
	]
}
